JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const deposit = await conductor.qbd.deposits.retrieve('123ABC-1234567890', {
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(deposit.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
deposit = conductor.qbd.deposits.retrieve(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(deposit.id)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/deposits/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "123ABC-1234567890",
"objectType": "qbd_deposit",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"transactionDate": "2024-10-01",
"depositToAccount": {
"id": "80000001-1234567890",
"fullName": "Checking"
},
"memo": "Batch settlement deposit",
"totalAmount": "1000.00",
"currency": {
"id": "80000001-1234567890",
"fullName": "USD"
},
"exchangeRate": 1.2345,
"totalAmountInHomeCurrency": "1234.56",
"cashBack": {
"id": "456DEF-1234567890",
"objectType": "qbd_deposit_cash_back_line",
"account": {
"id": "80000001-1234567890",
"fullName": "Petty Cash"
},
"memo": "Cash back from deposit",
"amount": "1000.00"
},
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"lines": [
{
"transactionType": "invoice",
"paymentTransactionId": "123ABC-1234567890",
"id": "456DEF-1234567890",
"objectType": "qbd_deposit_line",
"paymentTransactionLineId": "456DEF-1234567890",
"entity": {
"id": "80000001-1234567890",
"fullName": "Acme Corporation"
},
"account": {
"id": "80000001-1234567890",
"fullName": "Undeposited Funds"
},
"memo": "Payment batched into settlement deposit",
"checkNumber": "1234567890",
"paymentMethod": {
"id": "80000001-1234567890",
"fullName": "Credit Card"
},
"class": {
"id": "80000001-1234567890",
"fullName": "Retail Sales"
},
"amount": "1000.00"
}
],
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Deposits
Retrieve a deposit
Retrieves a deposit by ID.
IMPORTANT: If you need to fetch multiple specific deposits by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.
GET
/
quickbooks-desktop
/
deposits
/
{id}
JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const deposit = await conductor.qbd.deposits.retrieve('123ABC-1234567890', {
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(deposit.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
deposit = conductor.qbd.deposits.retrieve(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(deposit.id)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/deposits/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/deposits/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "123ABC-1234567890",
"objectType": "qbd_deposit",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"transactionDate": "2024-10-01",
"depositToAccount": {
"id": "80000001-1234567890",
"fullName": "Checking"
},
"memo": "Batch settlement deposit",
"totalAmount": "1000.00",
"currency": {
"id": "80000001-1234567890",
"fullName": "USD"
},
"exchangeRate": 1.2345,
"totalAmountInHomeCurrency": "1234.56",
"cashBack": {
"id": "456DEF-1234567890",
"objectType": "qbd_deposit_cash_back_line",
"account": {
"id": "80000001-1234567890",
"fullName": "Petty Cash"
},
"memo": "Cash back from deposit",
"amount": "1000.00"
},
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"lines": [
{
"transactionType": "invoice",
"paymentTransactionId": "123ABC-1234567890",
"id": "456DEF-1234567890",
"objectType": "qbd_deposit_line",
"paymentTransactionLineId": "456DEF-1234567890",
"entity": {
"id": "80000001-1234567890",
"fullName": "Acme Corporation"
},
"account": {
"id": "80000001-1234567890",
"fullName": "Undeposited Funds"
},
"memo": "Payment batched into settlement deposit",
"checkNumber": "1234567890",
"paymentMethod": {
"id": "80000001-1234567890",
"fullName": "Credit Card"
},
"class": {
"id": "80000001-1234567890",
"fullName": "Retail Sales"
},
"amount": "1000.00"
}
],
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Authorizations
Headers
Path Parameters
Response
200 - application/json
Returns the specified deposit.
The current QuickBooks-assigned revision number of this deposit object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
Example:
"1721172183"

